'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _style = require('styled-jsx/style');

var _style2 = _interopRequireDefault(_style);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _recompose = require('recompose');

var _DropdownPopover = require('./DropdownPopover');

var _DropdownPopover2 = _interopRequireDefault(_DropdownPopover);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var HorizontalMenu = function HorizontalMenu(_ref) {
	var children = _ref.children;
	return _react2.default.createElement(
		'div',
		{ className: 'flexiblemenu__menu--horizontal' },
		children
	);
};

var DropdownMenu = function DropdownMenu(_ref2) {
	var children = _ref2.children,
	    pivotFrom = _ref2.pivotFrom,
	    _renderTrigger = _ref2.renderTrigger,
	    triggerRef = _ref2.triggerRef,
	    debugMode = _ref2.debugMode;
	return _react2.default.createElement(
		'div',
		{
			className: 'jsx-1936739470' + ' ' + 'flexiblemenu__menu--dropdown'
		},
		_react2.default.createElement(_style2.default, {
			styleId: '1936739470',
			css: '.flexiblemenu__menu--horizontal{display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;}.flexiblemenu__menu--dropdown{position:relative;}'
		}),
		_react2.default.createElement(
			_DropdownPopover2.default,
			{
				debugMode: debugMode,
				triggerRef: triggerRef,
				pivotFrom: pivotFrom,
				renderTrigger: function renderTrigger(_ref3) {
					var _getTriggerProps = _ref3.getTriggerProps;
					return _renderTrigger({
						getTriggerProps: function getTriggerProps() {
							var _ref4 = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

							var className = _ref4.className,
							    props = (0, _objectWithoutProperties3.default)(_ref4, ['className']);
							return _getTriggerProps((0, _extends3.default)({
								className: 'flexiblemenu__dropdownpopover__trigger ' + (className ? className : '')
							}, props));
						}
					});
				},
				parentName: 'flexiblemenu'
			},
			children
		)
	);
};

var enhance = (0, _recompose.compose)((0, _recompose.defaultProps)({ showHorizontal: true }), (0, _recompose.branch)(function (_ref5) {
	var isHorizontal = _ref5.isHorizontal,
	    showHorizontal = _ref5.showHorizontal;
	return showHorizontal && isHorizontal;
}, (0, _recompose.renderComponent)(HorizontalMenu), (0, _recompose.renderComponent)((0, _recompose.compose)((0, _recompose.branch)(function (_ref6) {
	var isHorizontal = _ref6.isHorizontal;
	return !isHorizontal;
}, (0, _recompose.renderComponent)(DropdownMenu), _recompose.renderNothing)(DropdownMenu)))), (0, _recompose.onlyUpdateForKeys)(['children', 'pivotFrom', 'isHorizontal']));
exports.default = enhance(HorizontalMenu);